# {{ ansible_managed }}
{% macro params(name, vals) %}
{% for v in vals %}{{ name }} {{ v }} {% endfor %}
{% endmacro %}
{% set service_systemd_options_keys = service_systemd_options | selectattr("key") | map(attribute="key") | list %}
[Unit]
{% for key, value in service_systemd_unit_options | dictsort %}
{{ key }}={{ value }}
{% endfor %}

[Service]
{% for item in service_systemd_options %}
{{ item['key'] }}={{ item['value'] }}
{% endfor %}
{% if container_env is defined %}
{% if not 'EnvironmentFile' in service_systemd_options_keys %}
EnvironmentFile={{ sysconf_dir }}/{{ container_name }}
{% endif %}
{% endif %}

WorkingDirectory={{ project_path }}

{% if not 'ExecStart' in service_systemd_options_keys %}
ExecStart={{ docker_compose_path }} up -d
{% endif %}

{% if not 'ExecStop' in service_systemd_options_keys %}
ExecStop={{ docker_compose_path }} down
{% endif %}
{% if container_start_post is defined %}
ExecStartPost=-{{ container_start_post }}
{% endif %}


{% if not 'SyslogIdentifier' in service_systemd_options_keys %}
SyslogIdentifier={{ container_name }}
{% endif %}
{% if not 'Restart' in service_systemd_options_keys %}
Restart=on-failure
{% endif %}
{% if not 'RestartSec' in service_systemd_options_keys %}
RestartSec=10s
{% endif %}

Type=oneshot
RemainAfterExit=yes
TimeoutStartSec=0

[Install]
WantedBy=multi-user.target